You are here

Orbital Mandating Use of TLS1.2 by End of May, 2017

Subscribe to Syndicate
We have received information that affects all merchants using any Chase Paymentech credit card authorization products.

In Theatre Manager (version 10.07.10 and later), all venues using Orbital will automatically be converted to the new URL's per Chase Paymentech's note. They informed us that, as of end of May 2017, all merchants authorizing credit cards with Orbital must be using TLS 1.2 for security and the new URL's only accept this high level of encryption.

 

If you use Orbital and have any issues authorizing credit cards, let us know and/or try the following.

Until mid May, 2017, you can revert the URL's by going into your merchant account setup for orbital and changing:

  • Primary URL: change orbital1.chasepaymentech.com back to orbital1.paymentech.net
  • Secondary URL: change orbital2.chasepaymentech.com back to orbital2.paymentech.net

OR address the issue permanently by:

NOTE: anybody using version 10.06.xx or earlier and Orbital for merchant services, will need to upgrade ASAP - otherwise Orbital's servers will stop accepting your payments.